commit:     0e2c5b910bf3067d91d357a68d5b7a185a7a32be
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 19 13:53:46 2020 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Aug 19 13:57:11 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e2c5b91

app-text/pinfo: Filter out -Werror

Package-Manager: Portage-3.0.3, Repoman-3.0.0
Closes: https://bugs.gentoo.org/692366
Closes: https://bugs.gentoo.org/722414
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 app-text/pinfo/pinfo-0.6.13.ebuild | 3 +++
 app-text/pinfo/pinfo-99999.ebuild  | 4 +++-
 2 files changed, 6 insertions(+), 1 deletion(-)

diff --git a/app-text/pinfo/pinfo-0.6.13.ebuild 
b/app-text/pinfo/pinfo-0.6.13.ebuild
index 1edae9c02d3..65a73c599ed 100644
--- a/app-text/pinfo/pinfo-0.6.13.ebuild
+++ b/app-text/pinfo/pinfo-0.6.13.ebuild
@@ -34,6 +34,9 @@ PATCHES=(
 
 src_prepare() {
        default
+
+       sed -i -e 's| -Werror||g' configure.ac || die
+
        eautoreconf
 }
 

diff --git a/app-text/pinfo/pinfo-99999.ebuild 
b/app-text/pinfo/pinfo-99999.ebuild
index 697760bc7fc..94bcef91cbb 100644
--- a/app-text/pinfo/pinfo-99999.ebuild
+++ b/app-text/pinfo/pinfo-99999.ebuild
@@ -29,11 +29,13 @@ DEPEND="
 PATCHES=(
        "${FILESDIR}"/${PN}-0.6.9-GROFF_NO_SGR.patch
        "${FILESDIR}"/${PN}-0.6.9-lzma-xz.patch
-       "${FILESDIR}"/${PN}-0.6.13-fno-common.patch
 )
 
 src_prepare() {
        default
+
+       sed -i -e 's| -Werror||g' configure.ac || die
+
        eautoreconf
 }
 

Reply via email to